PDA

View Full Version : ExtJS4 with Sharepoint 2010



dimebag
10 Feb 2012, 6:38 AM
Hi,

I wrote a webpart for Sharepoint 2010 and as soon as I edit a page and hang in a ExtJS4-using webpart, it brings up wpadder.js errors.

I know, that this was an error for ExtJS3 and should be fixed with ExtJS4, but it isn´t. Someone got a way around this?

Many thanks ;)

mankz
13 Feb 2012, 1:03 PM
can you post a simple test case? HTML page + JS includes should be enough.

dimebag
14 Feb 2012, 5:16 AM
There´s no code post because it doesn´t depend on the code. The pure existing of a webpart including the ExtJS4 lib disturbs SP2010.

Just take any webpart and include ExtJS4, deploy it and hang it into a site. And then try to add any other webpart ...

fabio.parra
14 Feb 2012, 5:39 AM
I had same problem with Ext 3.4 + SharePoint and Sap Portal. Problem is my page uses doctype and sharepoint does not. My solution is to create a file that has a doctype and only an inframe that point to real page:



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html><head> <title>Automidia Service Management 5.0</title> <style type="text/css"> html, body, div, iframe { margin:0; padding:0; height:100%; } iframe { display:block; width:100%; border:none; } </style> </head><body> <iframe id="bridge" src="default.aspx" width="100%" height="100%" frameborder="0" ></iframe> </body></html>